Subject: Re: Questions on RFC5880

From: Dave Katz <[email-masked]>
Date: Tue, 23 Nov 2010 08:28:18 -0800

On Nov 23, 2010, at 5:59 AM, HongBo Wei wrote:

> Hi Dave,
> Thanks for your clarification.
>  
> Additional question about the Poll Sequence: (eg. bfd.SessionState is Up, Tx interval is 100msec, Now we want to change the Tx interval to 50msec)
>  
> -- Option 1: the local system send BFD Control Packets with the Poll bit set every 50msec; when recieved BFD Control Packets with the Final bit set, the local system send BFD Control Packets with the Poll bit clear every 50msec.
>  
> -- Option 2: the local system send BFD Control Packets with the Poll bit clear every 50msec; At the same time, the local system send BFD Control Packets with the Poll bit set every 1sec; when we recieved BFD Control Packets with the Final bit set from remote, the local system terminate BFD Control Packets with the Poll bit set, and calculate the Detection time.
>  
> I prefer to Option 1. What do you think about this?

Option 2 adds nothing but complexity...

--Dave

>  
> Best regards,
> steven
>  
> On Nov 22, 2010, at 5:05 PM, wei.hongbo at zte.com.cn wrote:
> 
>> 
>> Hello Daves and All, 
>> 
>> I have some questions regarding the BFD protocol, In RFC5880 "section 6.8.3 Timer Manipulation" written: 
>> 
>> >>> When bfd.SessionState is not Up, the system MUST set
>> >>> bfd.DesiredMinTxInterval to a value of not less than one second
>> >>> (1,000,000 microseconds). 
>> 
>> Q1: When the bfd.SessionState changed from INIT to UP(or DOWN->UP), the DisiredMinTxInterval field in the Control packets will change to the configured parameter (eg, 50ms). So, the Tx Value changed. Do we need a Poll Sequence here? 
> 
> Yes.
> 
>> 
>> >>> In any case other than those explicitly called out above, timing
>> >>> parameter changes MUST be effected immediately (changing the
>> >>> transmission rate and/or the Detection Time). 
>> 
>> Q2: If the local system reduces it transmit interval (eg. Tx: 100ms -> 50ms) and initiate a Poll Sequence (send Control packet with P bit set), Can we immediately change 
>> the local system's Tx interval before we receive the Control packet with F bit set from the remote? 
> 
> Yes, you must do so, because the receive side will be cranking down its detection time;  if, for instance, you were going from 1 sec to 50 msec, the remote end will change its detection time to 150 msec and the session would time out.
> 
>> 
>> Q3: Regard to the Poll Sequence, one system will receive the Control packet with P bit set and then start to detect; the remote system will receive the Control packet with 
>> F bit set and then start to detect. The differece between the two system's start point is the transmit time of Control packet with F bit set. 
>>     But, The Tx interval becomes smaller and smaller(eg. some Vendors support 10ms), the transmit time of Control packet with F bit set MAY larger than the calculated Detection time. Do we need some private trick to fix that? 
> 
> No;  the round-trip time of the poll sequence can be longer than a detection time.  The important point, as you sensed in the second question, is that if the remote system's detection time is going to drop as a result of the local system reducing its TX interval, the local system must start sending at the faster rate at the same time.  This will ensure that the remote end doesn't time out.
> 
> The only case where the timing of the poll sequence matters is in Demand Mode, because there otherwise is no control traffic;  if the round-trip time is greater than the detection time, the session will always time out (see section 6.6).
> 
> --Dave
> 
>> 
>> Best regards,
>> steven
>> 
>> 
>> --------------------------------------------------------
>> ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
>> This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
>> This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: "Wei.HongBo" <[email-masked]>
Date: Wed, 24 Nov 2010 06:20:55 +0800

Hi Dave,

Thanks for your promptly response.
Best regards,
steven
2010/11/24 Dave Katz <[email-masked]>

> Additional question about the Poll Sequence: (eg. bfd.SessionState is Up,
> Tx interval is 100msec, Now we want to change the Tx interval to 50msec)
>
> -- Option 1: the local system send BFD Control Packets with the Poll bit
> set every 50msec; when recieved BFD Control Packets with the Final bit set,
> the local system send BFD Control Packets with the Poll bit clear every
> 50msec.
>
> -- Option 2: the local system send BFD Control Packets with the Poll bit
> clear every 50msec; At the same time, the local system send BFD Control
> Packets with the Poll bit set every 1sec; when we recieved BFD Control
> Packets with the Final bit set from remote, the local system terminate BFD
> Control Packets with the Poll bit set, and calculate the Detection time.
>
> On Nov 22, 2010, at 5:05 PM, wei.hongbo at zte.com.cn<wei.hongbo%20at%20zte.com.cn>wrote:
>
>
> Hello Daves and All,
>
> Q1: When the bfd.SessionState changed from INIT to UP(or DOWN->UP), the
> DisiredMinTxInterval field in the Control packets will change to the
> configured parameter (eg, 50ms). So, the Tx Value changed. Do we need a Poll
> Sequence here?
>
>
> Yes.
>
>
> Q2: If the local system reduces it transmit interval (eg. Tx: 100ms ->
> 50ms) and initiate a Poll Sequence (send Control packet with P bit set), Can
> we immediately change
> Yes, you must do so, because the receive side will be cranking down its
> detection time;  if, for instance, you were going from 1 sec to 50 msec, the
> remote end will change its detection time to 150 msec and the session would
> time out.
>
>
> Q3: Regard to the Poll Sequence, one system will receive the Control packet
> with P bit set and then start to detect; the remote system will receive the
> Control packet with
> F bit set and then start to detect. The differece between the two system's
> start point is the transmit time of Control packet with F bit set.
>     But, The Tx interval becomes smaller and smaller(eg. some Vendors
> support 10ms), the transmit time of Control packet with F bit set MAY larger
> than the calculated Detection time. Do we need some private trick to fix
> that?
>
>
> No;  the round-trip time of the poll sequence can be longer than a
> detection time.  The important point, as you sensed in the second question,
> is that if the remote system's detection time is going to drop as a result
> of the local system reducing its TX interval, the local system must start
> sending at the faster rate at the same time.  This will ensure that the
> remote end doesn't time out.
>
> The only case where the timing of the poll sequence matters is in Demand
> Mode, because there otherwise is no control traffic;  if the round-trip time
> is greater than the detection time, the session will always time out (see
> section 6.6).
>
> --Dave
>
>
> Best regards,
> steven
>
>